Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gl4java.utils.glf
Class GLF

    java.lang.Object
      |
      +--gl4java.utils.glf.GLFFuncJNI
            |
            +--gl4java.utils.glf.GLF

All Implemented Interfaces:
  GLFEnum

public class GLF
extends GLFFuncJNI

The default implementation class for GLF native function mapping

Version:
  2.00, 21. April 1999
Author:
  Sven Goethel

Fields inherited from interface gl4java.utils.glf.GLFEnum
`GLF_CENTER, GLF_CENTER_CENTER, GLF_CENTER_DOWN, GLF_CENTER_UP, GLF_CONSOLE_CURSOR, GLF_CONSOLE_MESSAGES, GLF_CONTOURING, GLF_DOWN, GLF_ERROR, GLF_LEFT, GLF_LEFT_CENTER, GLF_LEFT_DOWN, GLF_LEFT_UP, GLF_NO, GLF_OK, GLF_RIGHT, GLF_RIGHT_CENTER, GLF_RIGHT_DOWN, GLF_RIGHT_UP, GLF_TEXTURING, GLF_UP, GLF_YES`

Constructor Summary
`GLF()`

Method Summary
`protected void` | `finalize()`
`int` | `glfLoadBFont(java.lang.String fontname)`
`int` | `glfLoadBFont(java.net.URL baseURL, java.lang.String fontURI)`
`int` | `glfLoadFont(java.lang.String fontname)`
`int` | `glfLoadFont(java.net.URL baseURL, java.lang.String fontURI)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class gl4java.utils.glf.GLFFuncJNI
`getClassVendor, getClassVersion, getNativeVendor, getNativeVersion, glfBeginBFont, glfBitmapGetStringCentering, glfBitmapStringCentering, glfClose, glfConsoleClear, glfConsoleDraw, glfDisable, glfDraw3DSolidString, glfDraw3DSolidStringF, glfDraw3DSolidSymbol, glfDraw3DSolidSymbolF, glfDraw3DWiredString, glfDraw3DWiredStringF, glfDraw3DWiredSymbol, glfDraw3DWiredSymbolF, glfDrawBMaskString, glfDrawBMaskSymbol, glfDrawBString, glfDrawBSymbol, glfDrawSolidString, glfDrawSolidStringF, glfDrawSolidSymbol, glfDrawSolidSymbolF, glfDrawWiredString, glfDrawWiredStringF, glfDrawWiredSymbol, glfDrawWiredSymbolF, glfEnable, glfEndBFont, glfGetCurrentBFont, glfGetCurrentFont, glfGetSpaceSize, glfGetStringBounds, glfGetStringBoundsF, glfGetStringCentering, glfGetStringDirection, glfGetSymbolDepth, glfGetSymbolSpace, glfInit, glfLoadBFontNative, glfLoadFontNative, glfPrint, glfPrintChar, glfPrintString, glfSetAnchorPoint, glfSetBRotateAngle, glfSetConsoleFont, glfSetConsoleParam, glfSetContourColor, glfSetCurrentBFont, glfSetCurrentFont, glfSetCursorBlinkRate, glfSetRotateAngle, glfSetSpaceSize, glfSetSymbolDepth, glfSetSymbolSpace, glfStringCentering, glfStringDirection, glfUnloadBFont, glfUnloadBFontD, glfUnloadFont, glfUnloadFontD`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GLF

    public GLF()

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### glfLoadFont

    public final int glfLoadFont(java.lang.String fontname)

  Overrides:
    `glfLoadFont` in class `GLFFuncJNI`

### glfLoadFont

    public final int glfLoadFont(java.net.URL baseURL,
                                 java.lang.String fontURI)

  Overrides:
    `glfLoadFont` in class `GLFFuncJNI`

### glfLoadBFont

    public final int glfLoadBFont(java.lang.String fontname)

  Overrides:
    `glfLoadBFont` in class `GLFFuncJNI`

### glfLoadBFont

    public final int glfLoadBFont(java.net.URL baseURL,
                                  java.lang.String fontURI)

  Overrides:
    `glfLoadBFont` in class `GLFFuncJNI`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD